Summary:	A library to encode and decode Vorbis or Speex compressed audio
Summary(pl.UTF-8):	Biblioteka do kodowania i dekodowania dźwięku w formacie Speex lub Vorbis
Name:		libfishsound
Version:	1.0.0
Release:	4
License:	BSD
Group:		Libraries
Source0:	http://downloads.xiph.org/releases/libfishsound/%{name}-%{version}.tar.gz
# Source0-md5:	02c5c7b361a35c9da3cf311d68800dab
Patch0:		types.patch
URL:		http://www.xiph.org/fishsound/
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	liboggz-devel >= 0.5.40
BuildRequires:	libsndfile-devel >= 1.0.0
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	speex-devel >= 1:1.1.6
Requires:	libvorbis >= 1:1.0
Requires:	speex >= 1:1.1.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libfishsound provides a simple programming interface for decoding and
encoding audio data using Xiph.Org codecs (Vorbis and Speex).

libfishsound by itself is designed to handle raw codec streams from a
lower level layer such as UDP datagrams. When these codecs are used in
files, they are commonly encapsulated in Ogg to produce Ogg Vorbis
and Speex files.

%description -l pl.UTF-8
libfishsound udostępnia prosty interfejs programistyczny do
dekodowania i kodowania plików dźwiękowych przy użyciu kodeków
Xiph.Org (Vorbis i Speex).

Sama biblioteka libfishsound jest przeznaczona do obsługi surowych
strumieni kodeków z niższej warstwy takiej jak datagramy UDP. W
przypadku gdy kodeki te są użyte w plikach, są zwykle obudowane w Ogg,
tworząc pliki Ogg Vorbis i Ogg Speex.

%package devel
Summary:	Header files for libfishsound library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libfishsound
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	flac-devel >= 1.1.3
Requires:	libvorbis-devel >= 1:1.0
Requires:	speex-devel >= 1:1.1.6

%description devel
Header files for libfishsound library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libfishsound.

%package static
Summary:	Static libfishsound library
Summary(pl.UTF-8):	Statyczna biblioteka libfishsound
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libfishsound library.

%description static -l pl.UTF-8
Statyczna biblioteka libfishsound.

%package apidocs
Summary:	API documentation for libfishsound library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libfishsound
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libfishsound library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libfishsound.

%prep
%setup -q
%patch -P0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=$RPM_BUILD_ROOT%{_docdir}/libfishsound

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfishsound.la

rm -rf $RPM_BUILD_ROOT%{_docdir}/libfishsound

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libfishsound.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfishsound.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfishsound.so
%{_includedir}/fishsound
%{_pkgconfigdir}/fishsound.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfishsound.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/libfishsound/html/*
%changelog
* Sat Feb 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libfishsound.git;a=log;h=master

* Sat Feb 15 2025 Jan Palus <atler@pld-linux.org> 961b481
- flac 1.5.0 rebuild

* Sat Feb 15 2025 Jan Palus <atler@pld-linux.org> 8e85c56
- correct use of size_t in types patch

* Fri Feb 14 2025 Jan Palus <atler@pld-linux.org> ebae268
- fix types usage

* Fri Sep 23 2022 Jakub Bogusz <qboosh@pld-linux.org> efc22cb
- dropped .la file, separated -apidocs; release 3

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> bf75f2f
- flac rebuild

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> bd96dc1
- updated to 1.0.0

* Mon Oct 26 2009 Jakub Bogusz <qboosh@pld-linux.org> 734aeb7
- updated to 0.9.2
- updated URLs, fixed Rs

* Fri Apr 18 2008 Szymon Siwek <sls@pld-linux.org> 07a1160
- ver. 0.9.1 (fixes CVE-2008-1686)

* Wed Jan 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 20eb9d1
- updated to 0.9.0

* Wed Nov 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 1a3fa47
- updated to 0.8.1

* Wed Jun 13 2007 Jakub Bogusz <qboosh@pld-linux.org> 2b9afd0
- updated to 0.8.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6a0ef99
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b72441b
- converted to UTF-8

* Fri Nov 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 904b4c4
- new

